Subject: Re: bug#58547: 29.0.50; [PATCH] Fix one internal naming

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Oct 2022 16:25:23 +0300

> From: Manuel Giraud <[email-masked]>
> Date: Sat, 15 Oct 2022 14:55:19 +0200
> 
> I don't know if those kind of bikesheeding patch are accepted but I
> think that "estimate_mode_line_height" is not a good name since it can
> be (and is!) called with others face id.

These lines are all considered "mode lines" in the display code, and
have the mode_line_p flag set.  So "mode line" is used here in a
slightly different sense than it might seem at first glance.

That said, I would not object to renaming this function, but only if
the new name makes more sense.  "Line with face" is too general to
make sense, because basically every line on a typical Emacs display
has some face.

Also, if we are inventing a new collective name to these 3 display
lines, we need to rename the mode_line_p flag to have the same name.

Thanks.